import { Component, OnInit } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import * as Parse from 'parse';
import { InfiniteScrollCustomEvent } from '@ionic/angular';
import { Router } from '@angular/router';
@Component({
  selector: 'app-notice',
  templateUrl: './notice.component.html',
  styleUrls: ['./notice.component.scss'],
  standalone: true,
  imports: [IonicModule],
})
export class NoticeComponent implements OnInit {
  active: string = 'notice';
  noticeList: Array<any> = [
    {
      avatar: Parse.User.current()?.get('avatar'),
      name: '系统消息',
      content: '',
      createdAt: new Date(),
    },
    {
      avatar: Parse.User.current()?.get('avatar'),
      name: '系统消息',
      content: '',
      createdAt: new Date(),
    },
    {
      avatar: Parse.User.current()?.get('avatar'),
      name: '系统消息',
      content: '',
      createdAt: new Date(),
    },
  ];
  friends: Array<Object> = [];
  times: number = 0;
  timer: any;
  showModal: boolean = false; //是否长按弹窗
  currentObject: any; //当前选择对象
  constructor(private router: Router) {}

  ngOnInit() {}
  segmentChanged(e: any) {
    let { value } = e.detail;
    this.active = value;
  }

  startPress() {
    this.showModal = false;
    if (this.times >= 500) {
      console.log(this.times);
      this.times = 0;
      this.showModal = true;
      return;
    }
    this.timer = setTimeout(() => {
      this.times += 500;
      this.startPress();
    }, 500);
  }
  onMousemove(e: any) {
    clearTimeout(this.timer);
    this.showModal = false;
    this.times = 0;
  }
  stopPress() {
    clearTimeout(this.timer);
    this.times = 0;
  }
  onIonInfinite(ev: any) {
    console.log(ev);
    setTimeout(() => {
      (ev as InfiniteScrollCustomEvent).target.complete();
    }, 500);
  }
  toUrl(url: string) {
    if (this.showModal) return;
    this.router.navigate([url]);
  }
}
