import { Component, OnInit, ViewChild } from '@angular/core';
import { CommonModule, DatePipe } from '@angular/common';
import { NavComponent } from '../../../app/components/nav/nav.component';
import { Router } from '@angular/router';
import {
  IonicModule,
  ToastController,
} from '@ionic/angular';
import * as Parse from 'parse';
import { ImagePreviewComponent } from '../../../app/components/image-preview/image-preview.component';

@Component({
  selector: 'app-profile',
  templateUrl: './profile.component.html',
  styleUrls: ['./profile.component.scss'],
  standalone: true,
  imports: [IonicModule, DatePipe,NavComponent,CommonModule,ImagePreviewComponent],
  providers: [DatePipe],
})
export class ProfileComponent implements OnInit {
  @ViewChild('preview') preview!:ImagePreviewComponent
  
  profile: Parse.Object | any = {
    get: (e: string) => {
      let jsonb:any = {
        'cover': `https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg`,
        'user':Parse.User.current(),
        'name':'甜心宝贝',
        'album':['https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg','https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg','https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg','https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg',],
        'gifts':['https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg','https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg','https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg','https://file-cloud.fmode.cn/Qje9D4bqol/20241119/sd1upp041122290.jpg',],
        '': '',
      };
      return jsonb[e];
    },
    set: () => {},
    save: () => {},
    destroy: () => {}, // 修复：添加方法体
  };
  active:number = 0;
  currenImg:string = '';
  constructor(
    private router: Router,
    public toastController: ToastController,
  ) { }

  ngOnInit() {
  }
  onShowImg(url:string){
    this.currenImg = url
    this.preview.show = 'inline-flex'
  }
}
